List of all members
cgicc::HTMLElementList Class Reference

An expandable list of HTMLElement objects. More...

`#include <cgicc/HTMLElementList.h>`

## Public Member Functions
Constructors and Destructor
| HTMLElementList ()
| Create an empty HTMLElementList. More...
| HTMLElementList (const HTMLElement &head)
| Create a new HTMLElementList, specifying the first element. More...
| HTMLElementList (const HTMLElementList &list)
| Copy constructor. More...
| ~HTMLElementList ()
| Destructor. More...
Overloaded Operators
HTMLElementList & | operator= (const HTMLElementList &list)
| Assignment operator. More...

## List Management
Manage the elements in the list
HTMLElementList & | add (const HTMLElement &element)
| Add an HTMLElement to the list. More...
HTMLElementList & | add (HTMLElement *element)
| Add an HTMLElement to the list. More...
void | render (std::ostream &out) const
| Render this HTMLElementList. More...

## Detailed Description

An expandable list of HTMLElement objects.

An HTMLElementList represents any number of HTMLElement objects.
To add HTMLElement objects to the list, use the add() methods:

cgicc::HTMLElementList list;
list.add(br());
cgicc::HTMLElementList
An expandable list of HTMLElement objects.
Definition: HTMLElementList.h:68
cgicc::HTMLElementList::add
HTMLElementList & add(const HTMLElement &element)
Add an HTMLElement to the list.

See also
  HTMLAttribute
  HTMLElement

Definition at line 67 of file HTMLElementList.h.

## Constructor & Destructor Documentation

## ◆ HTMLElementList() [1/3]

cgicc::HTMLElementList::HTMLElementList | ( |  | ) |

Create an empty HTMLElementList.

HTMLElementLists are most often created with the add() functions

## ◆ HTMLElementList() [2/3]

cgicc::HTMLElementList::HTMLElementList | ( | const HTMLElement & | head | ) |

Create a new HTMLElementList, specifying the first element.

The first element in the list is set to `head`

Parameters

  head | The first element of the list

## ◆ HTMLElementList() [3/3]

cgicc::HTMLElementList::HTMLElementList | ( | const HTMLElementList & | list | ) |

Copy constructor.

Sets the elements in this list to those of `list`

Parameters

  list | The HTMLElementList to copy.

## ◆ ~HTMLElementList()

cgicc::HTMLElementList::~HTMLElementList | ( |  | ) |

Destructor.

Deletes this HTMLElementList object

## Member Function Documentation

## ◆ add() [1/2]

HTMLElementList & cgicc::HTMLElementList::add | ( | const HTMLElement & | element | ) |

Add an HTMLElement to the list.

Parameters

  element | The HTMLElement to add.

Returns
  A reference to `this`

## ◆ add() [2/2]

HTMLElementList & cgicc::HTMLElementList::add | ( | HTMLElement * | element | ) |

Add an HTMLElement to the list.

Parameters

  element | The HTMLElement to add.

Returns
  A reference to the `this`

## ◆ operator=()

HTMLElementList & cgicc::HTMLElementList::operator= | ( | const HTMLElementList & | list | ) |

Assignment operator.

Sets the elements in this list to those of `list`

Parameters

  list | The HTMLElementList to copy

Returns
  A reference to `this`

## ◆ render()

void cgicc::HTMLElementList::render | ( | std::ostream & | out | ) | const

Render this HTMLElementList.

Utility Methods

Parameters

  out | The ostream to which to write

The documentation for this class was generated from the following file:

- HTMLElementList.h